package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxUserIntegralLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 微信用户积分流水Mapper接口
 *
 * @author flossom
 * @date 2023-12-14
 */
public interface WxUserIntegralLogMapper
{
    /**
     * 查询微信用户积分流水
     *
     * @param id 微信用户积分流水主键
     * @return 微信用户积分流水
     */
    public WxUserIntegralLog selectWxUserIntegralLogById(Long id);

    /**
     * 查询微信用户积分流水列表
     *
     * @param wxUserIntegralLog 微信用户积分流水
     * @return 微信用户积分流水集合
     */
    public List<WxUserIntegralLog> selectWxUserIntegralLogList(WxUserIntegralLog wxUserIntegralLog);

    /**
     * 新增微信用户积分流水
     *
     * @param wxUserIntegralLog 微信用户积分流水
     * @return 结果
     */
    public int insertWxUserIntegralLog(WxUserIntegralLog wxUserIntegralLog);

    /**
     * 修改微信用户积分流水
     *
     * @param wxUserIntegralLog 微信用户积分流水
     * @return 结果
     */
    public int updateWxUserIntegralLog(WxUserIntegralLog wxUserIntegralLog);

    /**
     * 删除微信用户积分流水
     *
     * @param id 微信用户积分流水主键
     * @return 结果
     */
    public int deleteWxUserIntegralLogById(Long id);

    /**
     * 批量删除微信用户积分流水
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserIntegralLogByIds(Long[] ids);

    List<WxUserIntegralLog> obtainUserIntegral(@Param("userId") Long userId);
}
